When cross compiling Swiftfire for an older MacOS-10.12 machine we noticed that the product would not run.

It complained about a missing the library: libswiftCoreFoundation.dyLib

Turns out, we missed the BIG BOLD announcement in the Xcode 10.2 release notes that from there on the Swift runtime libraries had to be installed manually on pre macOS 10.14.4 machines.

The Swift 5 Runtime Support for Command Line Tools can be downloaded from Apple’s developer site: https://developer.apple.com/download/more/ or from the Apple support website.

This will install the necessary libraries in /usr/lib/swift.